Windows Media File Editor x64 Edition

Microsoft® Windows Media® File Editor x64 Edition is a tool that enables you to open and edit a Windows Media file with a .wmv, .wma, or .asf file name extension. For example, you can trim the start and end points of a file, and add attributes, markers, and script commands. You can also import and export header files if you want to save your edits or reuse edits you previously made.

Before you can use Windows Media File Editor, you must install the latest version of Microsoft Windows Media Player. To download the Player, see the Microsoft Web site.

Note image Notes

  • When you save a file, it is automatically indexed at each key frame. By indexing the file, you can make use of the fast-forward and rewind features of a player while viewing the file.
  • It is not possible to edit a file that has been protected with digital rights management (DRM).

Related topics

  • Working with markers
  • Trimming a file
  • Inserting script commands
  • Adding display information
  • Folding multichannel audio down for stereo speakers
  • Controlling volume differences
  • Importing and exporting header files
  • Moving scripts from the stream to the header
© 2005 Microsoft Corporation. All rights reserved.


Working with markers

You can add markers, including the marker name and the time at which you want the marker to be located. Markers are useful for breaking up large Windows Media files into logical pieces. For example, if you are creating a Windows Media file from a presentation, you can add a marker for each major topic. When the file is played, users can pick a topic from a list and go to the pertinent portion of the file, rather than having to guess at the location.

Markers you have inserted are displayed along the marker bar. You can drag a marker to a different time location. To edit or remove a marker, double-click the marker indicator.

Marker bar and indicators

Related topics

  • Windows Media File Editor x64 Edition
  • To add or edit a marker


To add or edit a marker

  1. Click the Markers tab, and then click Markers.
  2. Do one of the following:
    • To add a marker, click Add and then type the marker text and the time (in hh:mm:ss:t) at which you want the text to appear during playback of the file.
    • To edit a marker, highlight the marker, click Edit, and then modify the text or time values.

Related topics

  • Working with markers


Trimming a file

You can trim the start and end of a file to ensure that only the portion you want plays. When you save a file that you have trimmed, the trimmed portion is removed from the file.

Seek bar and time box

Trimming will start at the key frame that is closest to the mark-in point you specify. Keep in mind that you must begin trimming after the first key frame or the file will not be trimmed.

Related topics

  • Windows Media File Editor x64 Edition
  • To trim a file


To trim a file

  1. Click the Markers tab.
  2. To trim the start time of the file, do one of the following:
    • In the player window, click the play button, and then click Mark In at the point you want the file to be trimmed.
    • Drag the progress indicator of the Seek bar to the point at which you want the file to be trimmed, and then click Mark In.
    • In the time box, type the time at which you want the file to be trimmed, click Seek, and then click Mark In.
  3. To trim the end time of the file, drag the progress indicator of the Seek bar to the point at which you want the file to be trimmed, and then click Mark Out.

Related topics

  • Trimming a file


Inserting script commands

Using Windows Media File Editor, you can insert script commands into your Windows Media file. You can insert any script type and value. A player will automatically process the following types of script commands:

  • URL. If you insert the URL script command, a Web page will open when the file is played at the time you specify. If the file is rendered in a player that is embedded within a browser, the requested URL replaces the player, and users cannot view the rest of the file. You can get around this either by displaying the requested URL in a separate frame in the same browser instance or by opening an additional instance of the browser.
  • Text. If you create a TEXT script command, you can insert text strings that will appear in the Player along with your encoded content. For the captions to be visible, users must have enabled captions in their player.
  • Custom. You can insert custom script commands such as FILENAME, EVENT, and OPENEVENT (or any other script type and value). Use the FILENAME command to open a specific digital media file at the time you specify. The EVENT and OPENEVENT script commands can be used, for example, to insert an advertisement during playback. The OPENEVENT command precedes the actual EVENT. The OPENEVENT command allows the Player to prebuffer the content so that when the specified event occurs, the switch appears to be seamless. Note that the code for the specified event must be defined in the Windows Media metafile in order for the player to perform the specified event.

For detailed information about the script commands supported by Windows Media Player, see the Windows Media Player Software Development Kit (SDK). For information about script commands supported by Windows Media server, see the Windows Media Services SDK.

To insert a script command, you specify the type of command, the time at which you want the command to occur, and the parameter for the command. To insert a custom script command, type the script type and value in the Script Command Properties dialog box.

Script commands that you insert are displayed along the script command bar. You can drag a script command to a different time location. To edit or remove a script command, double-click the script command indicator.

Script command bar and indicators

Note image Note

  • For playback on the current Windows Media Player, users must first enable script commands to be invoked.

Related topics

  • Windows Media File Editor x64 Edition
  • To add a script command
  • To edit a script command


To add a script command

  1. Click the Markers tab, and then click Script Commands.
  2. Click Add.
  3. In Time, type the time (in hh:mm:ss:t) at which you want the script command to occur during playback of the file.
  4. In Type, enter the script command you want.
  5. In Parameter, type the parameter you want. For example, if you are adding a TEXT script command, type the text you want.

Related topics

  • Inserting script commands


To edit a script command

  1. Click the Markers tab, and then click Script Commands.
  2. In the list, click the script command you want to edit, and then click Edit.
  3. Modify the time, type, or parameter values.

Related topics

  • Inserting script commands


Adding display information

You can add general information about your content, such as the title, description, and author. During playback, the information can be displayed in Windows Media Player and any other players based on the Windows Media Format SDK.

Related topics

  • Windows Media File Editor x64 Edition
  • To add display information


To add display information

  • Click the Attributes tab and then, in General, type the information you want to display.

Related topics

  • Adding display information


Folding multichannel audio down for stereo speakers

If you are editing a multichannel audio file, you can use the 5.1 audio coefficients settings on the Attributes tab to customize how the six channels are folded down into two channels for playback with stereo speakers. Default values, which are calculated during encoding, will typically ensure a satisfactory playback experience. Note that the channels are automatically folded down during playback for users with stereo speakers (as configured in their Control Panel). This option is not available with a 7.1-channel audio file.

The values you specify are not absolute values. Instead, the overall gain of the channels is normalized to avoid distortion. The values you type must be between 0 and -144 decibels.

Related topics

  • Windows Media File Editor x64 Edition
  • To specify fold-down values


To specify fold-down values

  • Click the Attributes tab and then, in 5.1 audio, specify the values you want to use.

Note image Note

  • The values you specify are automatically converted to a negative value.

Related topics

  • Folding multichannel audio down for stereo speakers


Controlling volume differences

If you encode a file by using the Windows Media Audio 9 Professional or Windows Media Audio 9 Lossless codec, the peak and average values of the audio signal are calculated during encoding, and those values are placed in the header of the file. During file playback, users can limit the difference between the softest and loudest sounds (the dynamic range) in the file using the Quiet Mode feature in the Player. This is useful, for example, for movie content that has a wide dynamic range; a user can limit the maximum loudness while maintaining voice intelligibility. (This feature is only available when the file is played on a computer running Microsoft Windows® XP, and using a player that is built on the Windows Media Format SDK.)

The Quiet Mode feature of the Player has three settings that affect dynamic range: off, little, and medium. By default, the settings affect the audio dynamic range during playback as follows:

  • Off. If the user has not turned the Quiet Mode feature on, then the peak and average values that were calculated during encoding are used during playback.
  • Little difference. The peak value of the audio signal is limited to 6 decibels above the average level.
  • Medium difference. The peak value of the audio signal is limited to 12 decibels above the average level.

When you use Windows Media File Editor to edit the file, you can specify different peak and average values than those that were calculated during encoding. Typically, it is recommended that you only adjust the peak value. Adjusting the average value will not compress the difference between loud and soft sounds. Instead it will cut or boost the overall average volume of the entire piece, which may produce undesirable distortion during playback. Changing the peak value affects the following changes to the settings of the Quiet Mode feature:

  • Off. If the user has not turned the Quiet Mode feature on, then the peak and average values that were calculated during encoding are used during playback.
  • Little difference. The peak value of the audio signal is limited to the median of the peak and average values you specified in Windows Media File Editor.
  • Medium difference. The peak value of the audio signal is limited to the peak value you specified in Windows Media File Editor.

Related topics

  • Windows Media File Editor x64 Edition
  • To control volume differences


To control volume differences

  • Click the Attributes tab and then, in Audio dynamic range control, specify the peak value you want to use. (It is recommended that you do not adjust the average value.)

Note image Notes

  • The value you type must be between 0 and -90 decibels. The peak value should always be a higher number (that is, less negative) than the average value.
  • Click Restore Defaults if you want to use the values that were calculated during encoding.

Related topics

  • Controlling volume differences


Importing and exporting header files

Edits you make using Windows Media File Editor are stored in the header of the file you have edited (except for edits related to trimming a file). After you have completed editing a file, you can export the header information by using the Export header file command on the File menu. This is useful if you want to save a record of the information or if you want to reuse the information. To reuse a header file, use the Import header file command on the File menu.

The following paragraphs explain what happens to data that is already in the header of your Windows Media file when you import another header file:

  • Attributes such as title, author, copyright, or description. The existing values are overwritten with the values in the header file you import. (Any custom attributes in the imported header file are also imported, but not displayed in the user interface.)
  • Script commands. Existing script commands are not typically overwritten when you import a header file that has script commands in it. However, if you import a header file that has a script command at the same time, type, and parameter as a script command that is already in the Windows Media file, the existing script command is overwritten.
  • Markers. Existing markers are not overwritten when you import a header file with markers in it, unless there are two markers at the same time and with the same names. In this case, only one of the markers is saved.

Related topics

  • Windows Media File Editor x64 Edition
  • To import or export a header file


To import or export a header file

  • On the File menu, click Import header file, and then enter the name of the header file you want to import.

    -or-

    On the File menu, click Export header file, and then enter a name for the header file you are exporting.

Related topics

  • Importing and exporting header files


Moving scripts from the stream to the header

Script commands inserted during encoding (using Windows Media Encoder) are in a separate stream and therefore are not displayed when you open the file with Windows Media File Editor. Windows Media File Editor only displays script commands that are in the header for the file. If you want to edit the script commands, you can use Windows Media File Editor to move the script commands to the header of the file, after which they are available for editing.

Related topics

  • Windows Media File Editor x64 Edition
  • To move scripts from the stream to the header
  • To edit a script command


To move scripts from the stream to the header

  1. On the File menu, click Move Scripts to Header.
  2. In File name, type the name of the output file.

    You can now edit the script commands.

Related topics

  • Moving scripts from the stream to the header
  • To edit a script command


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Windows Media File Editor more accessible for people with disabilities:

  • Accessibility features in Windows Media File Editor x64 Edition
  • Accessibility features in Windows Media File Editor x64 Edition Help
  • Accessibility products and services from Microsoft

Note image Note

  • The information in this section applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the products and services described in this section are available in your area. Accessibility information is available in other select languages, including Japanese and French. For more information, see the see the Microsoft Web site.


Accessibility features in Windows Media File Editor x64 Edition

In addition to accessibility features and utilities in Windows, the following feature makes Windows Media File Editor more accessible for people with disabilities:

  • Using keyboard shortcuts

Related topics

  • Accessibility for people with disabilities


Using keyboard shortcuts

By using the following keyboard shortcuts in Windows Media File Editor, you can quickly accomplish many common tasks.

To do this… | Use this keyboard shortcut…
Display Help. | F1
Move forward through options. | TAB
Move backward through options. | SHIFT+TAB
Switch between tabs. | CTRL+TAB
Scroll up one item in a list. | UP ARROW
Scroll down one item in a list. | DOWN ARROW
Dismiss a dialog box (Cancel). | ESC
Cut the selected items and copy them to the Clipboard. | CTRL+X
Copy the selected items to the Clipboard. | CTRL+C
Paste the contents of the Clipboard at the selected location. | CTRL+V
Close current window. | ALT+F4
Display shortcut menu. | SHIFT+F10
Select or clear the selection of an item. | SPACEBAR
Display shortcut keys. | ALT
Switch to High Contrast mode. | LEFT ALT+LEFT SHIFT+PRINT SCREEN

Related topics

  • Accessibility for people with disabilities


Accessibility features in Windows Media File Editor x64 Edition Help

Windows Media File Editor Help includes features that make it accessible to a wider range of users, including those who have limited dexterity, low vision, or other disabilities.

In addition, Windows Media File Editor Help is available on the Web at the Microsoft Web site.

Related topics

  • Accessibility for people with disabilities


Keyboard shortcuts for using the Help window

By using the following keyboard shortcuts in Help, you can quickly accomplish many common tasks.

To do this… | Use this keyboard shortcut…
Display the Help window. | F1
Switch between the Help topic and the Contents, Search, and Index tabs. | F6
Select the next hidden text or hyperlink. | TAB
Select the previous hidden text or hyperlink. | SHIFT+TAB
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink. | ENTER
Display the Options menu to access any Help toolbar command. | ALT+O
Hide or show the pane containing the Contents, Search, and Index tabs. | ALT+O, and then press T
Display the previously viewed topic | ALT+O, and then press B
Display the next topic in a previously displayed sequence of topics. | ALT+O, and then press F
Return to the specified home page. | ALT+O, and then press H
Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading). | ALT+O, and then press S
Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings. | ALT+O, and then press I
Refresh the topic (useful if you have linked to a Web page). | ALT+O, and then press R
Print all topics in a book or a selected topic only. | ALT+O, and then press P
Close the Help window. | ALT+F4

Related topics

  • Accessibility features in Windows Media File Editor x64 Edition Help


To change the appearance of a Help topic

  1. To customize the colors, font styles, and font sizes used in Help, open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Select Ignore colors specified on Web pages, Ignore font styles specified on Web pages, and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To change the colors used in Help, see To change the color of the background or text in Help. To change the font, see To change the font in Help.

Related topics

  • Accessibility features in Windows Media File Editor x64 Edition Help


To change the color of the background or text in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Then select Ignore colors specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the colors used in Help, on the General tab, click Colors. Clear the Use Windows Colors check box, and then select the font and background colors you want to use.

Note image Note

  • If you change the background color of the Help topics in the Help window, the change also affects the background color when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media File Editor x64 Edition Help


To change the font in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. To use the same settings as those used in your instance of Microsoft Internet Explorer, select Ignore font styles specified on Web pages and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the font style used in Help, on the General tab, click Fonts, and then click the font style you want.

Note image Note

  • If you change the font of the Help topics in the Help window, the change also affects the font when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media File Editor x64 Edition Help


Accessibility products and services from Microsoft

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Windows more accessible for people with disabilities:

  • Accessibility features of Windows
  • Documentation in alternative formats
  • Customer service for people with hearing impairments
  • For more information

Note image Note

  • The information in this section may apply only to users who license Microsoft products in the United States. If you obtained this product outside of the United States, you can use the subsidiary information card that came with your software package or visit the Microsoft Accessibility Web site for a list of telephone numbers and addresses for Microsoft support services. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Information about accessibility is available in other languages, including Japanese and French.

Related topics

  • Accessibility for people with disabilities


Accessibility features of Windows

The Windows operating system has many built-in accessibility features that are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features are installed during Setup. For more information about these features, see Help in Windows and the Microsoft Accessibility Web site.

Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials that provide detailed procedures for adjusting the accessibility options and settings on your computer. This information is presented in a side-by-side format so that you can learn how to use the mouse, the keyboard, or a combination of both.

To find step-by-step tutorials for Microsoft products, see the Microsoft Accessibility Web site.

Assistive technology products for Windows

A wide variety of assistive technology products are available to make computers easier to use for people with disabilities. You can search a catalog of assistive technology products that run on Windows at the Microsoft Accessibility Web site.

If you use assistive technology, be sure to contact your assistive technology vendor before you upgrade your software or hardware to check for possible compatibility issues.

Related topics

  • Accessibility products and services from Microsoft


Documentation in alternative formats

If you have difficulty reading or handling printed materials, you can obtain the documentation for many Microsoft products in more accessible formats. You can view an index of accessible product documentation at the Microsoft Accessibility Web site.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc (RFB&D). RFB&D distributes these documents to registered, eligible members of their distribution service. For information about the availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Telephone number from within the United States: (800) 221-4792
Telephone number from outside the United States and Canada: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind & Dyslexic Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.

Related topics

  • Accessibility products and services from Microsoft


Customer service for people with hearing impairments

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 AM and 5:30 PM Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 AM and 6:00 PM Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Related topics

  • Accessibility products and services from Microsoft


For more information

For more information about how accessible technology for computers helps to improve the lives of people with disabilities, see the Microsoft Web site.

Related topics

  • Accessibility products and services from Microsoft


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

Symbols

.prx

The file name extension of a profile file in Windows Media Encoder.

See Also:

profile

.weu

The file name extension of a configuration file used by Windows Media Encoding Script.

See Also:

configuration file

.wma

The file name extension of an audio file in Windows Media Format.

.wme

The file name extension of a Windows Media Encoder session file.

.wmv

The file name extension of a video file in Windows Media Format.

Back to Top

A

announcement

A Windows Media metafile that gives a player the information needed to receive content. Announcement files contain Extensible Markup Language (XML) scripts.

aspect ratio

The ratio of the width of an image to its height.

Audio Video Interleaved (AVI)

A digital media file format for storing sound and video.

AVI

See definition for: Audio Video Interleaved (AVI)

Back to Top

B

bandwidth

The data transfer capacity of a transmission medium.

See Also:

bit rate

bit rate

The number of bits transferred per unit of time, typically expressed in bits per second.

See Also:

bandwidth ,

multiple bit rate (MBR)

Back to Top

C

caption

Text that accompanies images or videos, either as a supplemental description or a transcript of spoken words.

CBR

See definition for: constant bit rate (CBR)

codec

An abbreviation for compressor/decompressor. Software or hardware used to compress and decompress digital media.

See Also:

compression ,

Windows Media Audio codec ,

Windows Media Screen codec ,

Windows Media Video codec

compression

A process for removing redundant data from a digital media file or stream to reduce its size or the bandwidth used.

See Also:

codec

configuration file

A text file used by Windows Media Encoding Script that specifies the content to be encoded and the command-line options to be invoked.

constant bit rate (CBR)

A characteristic of a data stream in which the bit rate remains nearly uniform for the duration of the stream.

See Also:

multiple bit rate (MBR) ,

variable bit rate (VBR)

content

Audio, video, images, text, or any other information that is contained in a digital media file or stream.

See Also:

Windows Media file

Back to Top

D

deinterlace

To combine the interlaced fields in a video frame so that, during playback, the lines of the video frame are painted sequentially.

See Also:

interlace

delta frame

A video frame that contains only the changes from the previous frame. In contrast, a key frame contains all the data necessary to construct that frame.

dynamic range

The difference (in decibels) between the quietest and loudest sounds in a single piece of audio content.

Back to Top

E

encode

To convert audio and video content to a specified digital format, usually involving compression technology or encryption technology.

Back to Top

F

frame rate

The number of video frames displayed per second. Higher frame rates generally produce smoother movement in the picture.

Back to Top

H

header

A part of the file structure that contains information required by an application to decompress and render the content. The header in a protected file also contains information required to get a license.

Back to Top

I

IEEE 1394

A high-speed serial bus standard that provides enhanced computer connectivity for a wide range of devices, including consumer electronics audio/video (A/V) appliances, storage peripherals, other computers, and portable devices.

intelligent streaming

A type of streaming that detects network conditions and adjusts the properties of a video or audio stream to maximize quality.

interlace

To display a video frame in two fields. One field contains the even lines of the frame, the other field contains the odd lines. During playback, the lines in one field are displayed first, then the lines in the second field are displayed.

See Also:

deinterlace

Internet Protocol version 6 (IPv6)

A revised version of the Internet Protocol (IP) designed to address growth on the Internet. Improvements include a 128 bit IP address size, expanded routing capabilities, and support for authentication and privacy.

inverse telecine

The process that removes the frames that were added when 24-fps film was converted to 30-fps video.

IPv6

See definition for: Internet Protocol version 6 (IPv6)

Back to Top

K

key frame

A video frame containing all the data needed to construct an image without reference to previous frames.

See Also:

delta frame

Back to Top

L

latency

The delay that occurs while data is processed or delivered.

letterbox

A video display format in which black bars appear above and below the video image while it is played. The letterbox format maintains the original aspect ratio of an image when it is displayed in a window with a different aspect ratio.

license

Data attached to protected content that describes how the content can be used.

loop

To repeat a stream continuously.

lossless compression

A process for compressing data in which information is arranged in a more concise form and restored to its original state upon decompression.

See Also:

lossy compression

lossy compression

A process for compressing data in which information deemed unnecessary is removed and cannot be recovered upon decompression. Typically used with audio and visual data in which a slight degradation of quality is acceptable.

See Also:

lossless compression

Back to Top

M

marker

A text string that is associated with a designated time in Windows Media-based content. Markers often denote convenient points to begin playback, such as the start of a new scene.

MBR

See definition for: multiple bit rate (MBR)

See Also:

bit rate

metadata

Data about data. Title, subject, author, and size are examples of a file's metadata.

multicast

A content delivery method in which a single stream is transmitted from a media server to multiple clients. The clients have no connection with the server. Instead, the server sends a single copy of the stream across the network to multicast-enabled routers, which replicate the data. Clients can then receive the stream by monitoring a specific multicast IP address and port.

multichannel audio

An audio reproduction system that processes several, typically more than two, channels of sound. For example, 5.1 multichannel audio refers to a surround sound system in which there are five primary channels and a subwoofer channel.

multiple bit rate (MBR)

A characteristic of a data stream in which the same content is encoded at several different bit rates in order to optimize content delivery.

See Also:

constant bit rate (CBR) ,

variable bit rate (VBR)

Back to Top

N

National Television Standards Committee (NTSC)

The dominant television standard in the United States and Japan. NTSC delivers 30 interlaced frames per second at 525 lines of resolution.

NTSC

See definition for: National Television Standards Committee (NTSC)

Back to Top

O

one-pass encoding

An encoding method in which content is analyzed and compressed in the same pass through the encoder.

See Also:

two-pass encoding

Back to Top

P

PAL

See definition for: Phase Alternating Line (PAL)

PCM

See definition for: pulse code modulation (PCM)

Phase Alternating Line (PAL)

The dominant television standard in Europe and China. PAL delivers 25 interlaced frames per second at 625 lines of resolution.

pixel format

The size and arrangement of pixel color components. The format is specified by the total number of bits used per pixel and the number of bits used to store the red, green, blue, and alpha components of the color of the pixel.

postroll

To extend the amount of encoded video by a specified number of frames.

preroll

To capture or play a number of video frames or a portion of audio data before encoding or rendering begins, in order to allow the source device to stabilize. Also used as a noun to describe the portion of the data to be prerolled.

profile

A group of settings that match content type and bit rate with appropriate audio and video codecs.

Profile Editor

A tool provided with Windows Media Encoder that creates and edits the encoding profiles.

See Also:

profile

publishing point

An organized memory location that translates a client request for content into the physical path on the server hosting the content. A publishing point essentially acts as a redirector.

pull

To deliver data to a client only upon client request.

pulse code modulation (PCM)

A technique for digitizing audio into an uncompressed format by assigning a value to the amplitude of the signal at fixed intervals.

push

To deliver data to a client without a client request for the data.

Back to Top

R

RGB

A color model that describes color information in terms of the red (R), green (G), and blue (B) intensities that make up the color.

Back to Top

S

sampling

The process of measuring the amplitude of an analog signal at regular intervals for the purpose of converting the signal into a digital format.

sampling rate

The frequency of sampling. The higher the sampling rate (that is, the more samples taken per unit of time), the more closely the digitized result resembles the original.

See Also:

sampling

script commands

Named data that is associated with a designated time in Windows Media-based content. The data can be used by players to perform a specific action such as displaying a Web page.

source

Audio and video content that can be captured and encoded from devices installed on your computer or from a file.

stream

Digital media that is in the process of being delivered in a continuous flow across a network.

stream format

Information about the properties of a stream, such as the codecs used, frame rate, and frame size. A player uses stream format information to decode a stream.

stream format file

A file used by a player to decode a multicast stream.

See Also:

stream format

Back to Top

T

telecine

The film-to-video conversion system that adds frames to video to compensate for the differences in frame rates between film and video.

time code

A digital signal applied to a stream. The signal assigns a number to every frame of video, representing hours, minutes, seconds, and frames.

two-pass encoding

An encoding method in which content is analyzed in one pass through the encoder, after which compression is applied in the second pass. See also one-pass encoding.

Back to Top

U

UDP

See definition for: User Datagram Protocol (UDP)

UNC

See definition for: Universal Naming Convention (UNC)

unicast

A method used by media servers for providing content to connected clients in which each client receives a discrete stream. No other client has access to that stream.

Universal Naming Convention (UNC)

The full name of a resource on a network. It conforms to the \\servername\sharename syntax, where servername is the name of the server and sharename is the name of the shared resource. UNC names of directories or files can also include the directory path under the share name, with the following syntax: \\servername\sharename\directory\filename.

User Datagram Protocol (UDP)

A connectionless transport protocol in the TCP/IP protocol stack that is used in cases where some packet loss is acceptable, for example, with digital media streams.

Back to Top

V

variable bit rate (VBR)

A characteristic of a data stream in which the bit rate fluctuates, depending upon the complexity of the data.

See Also:

constant bit rate (CBR) ,

multiple bit rate (MBR)

VBR

See definition for: variable bit rate (VBR)

Back to Top

W

Windows Media Audio codec

A codec used to compress and decompress audio streams.

See Also:

Windows Media Screen codec ,

Windows Media Video codec

Windows Media file

A file that contains audio, video, or script data. The content of the file is encoded with one of the Windows Media codecs.

Windows Media Format

The format of a digital media file or stream that was encoded with Windows Media codecs.

See Also:

codec

Windows Media metafile

In Windows Media technologies, a file that provides information about Windows Media files and their presentation. File name extensions for Windows Media metafiles include .asx, .wax, .wvx, .wmx, and .nsc.

Windows Media Screen codec

A codec used to compress and decompress sequences of computer screen images.

See Also:

Windows Media Video codec

Windows Media Video codec

A codec used to compress and decompress video streams.

See Also:

Windows Media Audio codec ,

Windows Media Screen codec

Back to Top

Y

YUV

A color model that describes color information in terms of its brightness (luminance, or Y), and color (chrominance, or U and V).

Back to Top


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2005 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, Windows Server, Active Directory, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, FrontPage, HighMAT, JScript, Microsoft Press, MSN, Outlook, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Windows Media, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

This product contains graphics filter software; this software is based in part on the work of the Independent JPEG Group.

All other trademarks are property of their respective owners.

The links in this area will let you leave Microsoft's site. The linked sites are not under the control of Microsoft and Microsoft is not responsible for the contents of any linked site or any link contained in a linked site, or any changes or updates to such sites. Microsoft is not responsible for webcasting or any other form of transmission received from any linked site. Microsoft is providing these links to you only as a convenience, and the inclusion of any link does not imply endorsement by Microsoft of the site.